Check out what are the requirements that your vSphere environment must meet to be able to deploy a Supervisor on a vSAN stretched cluster and provide HA for workloads in Tanzu Kubernetes Grid clusters.

Table 1. Compute Requirements
Component Minimum Value Description
ESXi vSphere 8 Update 3 4 hosts per site The minimum amount of hosts that you can use per site (vSAN fault domain).
vCenter Server vSphere 8 Update 3 1 A vCenter Server system that manages the vSAN stretched cluster.
Table 2. Networking Requirements
Component Minimum Value Description

NSX Advanced Load Balancer

1 deployment NSX Advanced Load Balancer deployed for HA. For guidelines, see Configure Networking for vSphere IaaS Control Plane on Active/Active Deployment Modes.
VMware NSX 4.x 1 deployment VMware NSX deployed. For guidelines, see Configure Networking for vSphere IaaS Control Plane on Active/Active Deployment Modes
Table 3. Storage Requirements
Component Minimum Value Description
vSAN stretched cluster vSphere 8 Update 3 1 A vSAN stretched cluster. For more information on deploying a vSAN stretched cluster, follow the recommendations in vSAN Stretched Cluster Guide.
Table 4. Supervisor Requirements
Component Minimum Value Description
Supervisor 1 Single zone Supervisor greenfield deployment. A greenfield deployment in this case means a Supervisor that is freshly deployed on a vSAN stretched cluster. If a Supervisor is already deployed on a different storage solution or a non-stretched vSAN cluster, transition to a vSAN stretched cluster is not supported.
Supervisor Kubernetes version Version 1.26 for vSphere 8 The Supervisor must run a supported Kubernetes version.
Tanzu Kubernetes releases Version 1.26 for vSphere 8 Tanzu Kubernetes Grid clusters must run supported Kubernetes versions that are compatible with the Tanzu Kubernetes Grid service version .
Tanzu Kubernetes Grid

Version 3.x

Tanzu Kubernetes Grid version supported for vSphere 8 Update 3.